org.apache.olingo.server.api.deserializer

## Interface ODataDeserializer

-     public interface ODataDeserializer

  Deserializer on OData server side.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeserializerResult` | `actionParameters(InputStream stream, EdmAction edmAction)` Deserializes an action-parameters stream into a map of key/value pairs.
    `DeserializerResult` | `entity(InputStream stream, EdmEntityType edmEntityType)` Deserializes an entity stream into an `Entity` object.
    `DeserializerResult` | `entityCollection(InputStream stream, EdmEntityType edmEntityType)` Deserializes an entity collection stream into an `EntityCollection` object.
    `DeserializerResult` | `entityReferences(InputStream stream)` Reads entity references from the provided document.
    `DeserializerResult` | `property(InputStream stream, EdmProperty edmProperty)` Deserializes the Property or collections of properties (primitive & complex).

- - ### Method Detail

    - #### entity

          DeserializerResult entity(InputStream stream,
                                    EdmEntityType edmEntityType)
                             throws DeserializerException

      Deserializes an entity stream into an `Entity` object. Validates: property types, no double properties, correct json types. Returns a deserialized `Entity` object and an `ExpandOption` object.
      Parameters:
        `stream` -
        `edmEntityType` -
      Returns:
        `DeserializerResult.getEntity()` and `DeserializerResult.getExpandTree()`
      Throws:
        `DeserializerException`

    - #### entityCollection

          DeserializerResult entityCollection(InputStream stream,
                                              EdmEntityType edmEntityType)
                                       throws DeserializerException

      Deserializes an entity collection stream into an `EntityCollection` object.
      Parameters:
        `stream` -
        `edmEntityType` -
      Returns:
        `DeserializerResult.getEntityCollection()`
      Throws:
        `DeserializerException`

    - #### actionParameters

          DeserializerResult actionParameters(InputStream stream,
                                              EdmAction edmAction)
                                       throws DeserializerException

      Deserializes an action-parameters stream into a map of key/value pairs. Validates: parameter types, no double parameters, correct json types.
      Parameters:
        `stream` -
        `edmAction` -
      Returns:
        `DeserializerResult.getActionParameters()`
      Throws:
        `DeserializerException`

    - #### property

          DeserializerResult property(InputStream stream,
                                      EdmProperty edmProperty)
                               throws DeserializerException

      Deserializes the Property or collections of properties (primitive & complex).
      Parameters:
        `stream` -
        `edmProperty` -
      Returns:
        `DeserializerResult.getProperty()`
      Throws:
        `DeserializerException`

    - #### entityReferences

          DeserializerResult entityReferences(InputStream stream)
                                       throws DeserializerException

      Reads entity references from the provided document.
      Parameters:
        `stream` -
        `keys` -
      Returns:
        `DeserializerResult.getEntityReferences()`
      Throws:
        `DeserializerException`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.